Debian Bug report logs - #635573
Endless message of "Unable to enumerate usb device on port 5"

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Hor Jiun Shyong <jiunshyong@gmail.com>

Date: Wed, 27 Jul 2011 03:42:02 UTC

Severity: important

Tags: fixed-upstream, upstream

Merged with 620848, 622649

Found in versions 2.6.32-31, 2.6.38-3, linux-2.6/2.6.39-2, linux-2.6/2.6.39~rc7-1~experimental.1, linux-2.6/3.0.0~rc6-1~experimental.1

Fixed in versions 3.0.0-2, linux-2.6/2.6.32-36, user-mode-linux/2.6.32-1um-4+37

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.kernel.org/show_bug.cgi?id=22052

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635573; Package linux-image-2.6.32-5-amd64. (Wed, 27 Jul 2011 03:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hor Jiun Shyong <jiunshyong@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 27 Jul 2011 03:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hor Jiun Shyong <jiunshyong@gmail.com>
To: submit@bugs.debian.org
Subject: Endless message of "Unable to enumerate usb device on port 5"
Date: Wed, 27 Jul 2011 11:39:27 +0800
Package:      linux-image-2.6.32-5-amd64
Version:       2.6.32-31

Package:    linux-image-2.6.38-2-amd64
Version:     2.6.38-5

Package:     linux-image-2.6.39-2-amd64
Version:      2.6.39-3


Console terminal is barraged by endless messages of "Unable to enumerate 
usb device on port 5".


I am using Debian Wheezy with installed kernels of the above.  However 
kernel linux-image-2.6.32-3-amd64    2.6.32-9  is not affected.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635573; Package linux-image-2.6.32-5-amd64. (Fri, 05 Aug 2011 09:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hor Jiun Shyong <jiunshyong@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 05 Aug 2011 09:39:08 GMT) Full text and rfc822 format available.

Message #10 received at 635573@bugs.debian.org (full text, mbox):

From: Hor Jiun Shyong <jiunshyong@gmail.com>
To: 635573@bugs.debian.org
Subject: lspci output
Date: Fri, 05 Aug 2011 17:35:02 +0800
root@nanyang:/home/jiunshyong# lspci -v
00:00.0 RAM memory: nVidia Corporation MCP67 Memory Controller (rev a2)
    Subsystem: Hewlett-Packard Company Device 30d6
    Flags: bus master, 66MHz, fast devsel, latency 0
    Capabilities: [44] HyperTransport: Slave or Primary Interface
    Capabilities: [dc] HyperTransport: MSI Mapping Enable+ Fixed-

00:01.0 ISA bridge: nVidia Corporation MCP67 ISA Bridge (rev a2)
    Subsystem: Hewlett-Packard Company Device 30d6
    Flags: bus master, 66MHz, fast devsel, latency 0

00:01.1 SMBus: nVidia Corporation MCP67 SMBus (rev a2)
    Subsystem: Hewlett-Packard Company Device 30d6
    Flags: 66MHz, fast devsel, IRQ 10
    I/O ports at 3080 [size=64]
    I/O ports at 3040 [size=64]
    I/O ports at 3000 [size=64]
    Capabilities: [44] Power Management version 2
    Kernel driver in use: nForce2_smbus

00:01.2 RAM memory: nVidia Corporation MCP67 Memory Controller (rev a2)
    Subsystem: Hewlett-Packard Company Device 30d6
    Flags: 66MHz, fast devsel

00:01.3 Co-processor: nVidia Corporation MCP67 Co-processor (rev a2)
    Subsystem: Hewlett-Packard Company Device 30d6
    Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 11
    Memory at fc200000 (32-bit, non-prefetchable) [size=512K]

00:02.0 USB Controller: nVidia Corporation MCP67 OHCI USB 1.1 Controller 
(rev a2) (prog-if 10 [OHCI])
    Subsystem: Hewlett-Packard Company Device 30d6
    Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 17
    Memory at fc486000 (32-bit, non-prefetchable) [size=4K]
    Capabilities: [44] Power Management version 2
    Kernel driver in use: ohci_hcd

00:02.1 USB Controller: nVidia Corporation MCP67 EHCI USB 2.0 Controller 
(rev a2) (prog-if 20 [EHCI])
    Subsystem: Hewlett-Packard Company Device 30d6
    Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 17
    Memory at fc489000 (32-bit, non-prefetchable) [size=256]
    Capabilities: [44] Debug port: BAR=1 offset=0098
    Capabilities: [80] Power Management version 2
    Kernel driver in use: ehci_hcd

00:04.0 USB Controller: nVidia Corporation MCP67 OHCI USB 1.1 Controller 
(rev a2) (prog-if 10 [OHCI])
    Subsystem: Hewlett-Packard Company Device 30d6
    Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 16
    Memory at fc487000 (32-bit, non-prefetchable) [size=4K]
    Capabilities: [44] Power Management version 2
    Kernel driver in use: ohci_hcd

00:04.1 USB Controller: nVidia Corporation MCP67 EHCI USB 2.0 Controller 
(rev a2) (prog-if 20 [EHCI])
    Subsystem: Hewlett-Packard Company Device 30d6
    Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 16
    Memory at fc489400 (32-bit, non-prefetchable) [size=256]
    Capabilities: [44] Debug port: BAR=1 offset=0098
    Capabilities: [80] Power Management version 2
    Kernel driver in use: ehci_hcd

00:06.0 IDE interface: nVidia Corporation MCP67 IDE Controller (rev a1) 
(prog-if 8a [Master SecP PriP])
    Subsystem: Hewlett-Packard Company Device 30d6
    Flags: bus master, 66MHz, fast devsel, latency 0
    [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
    [virtual] Memory at 000003f0 (type 3, non-prefetchable) [size=1]
    [virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
    [virtual] Memory at 00000370 (type 3, non-prefetchable) [size=1]
    I/O ports at 30c0 [size=16]
    Capabilities: [44] Power Management version 2
    Kernel driver in use: pata_amd

00:07.0 Audio device: nVidia Corporation MCP67 High Definition Audio 
(rev a1)
    Subsystem: Hewlett-Packard Company Device 30d6
    Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 20
    Memory at fc480000 (32-bit, non-prefetchable) [size=16K]
    Capabilities: [44] Power Management version 2
    Capabilities: [50] MSI: Enable- Count=1/1 Maskable+ 64bit+
    Capabilities: [6c] HyperTransport: MSI Mapping Enable- Fixed+
    Kernel driver in use: HDA Intel

00:08.0 PCI bridge: nVidia Corporation MCP67 PCI Bridge (rev a2) 
(prog-if 01 [Subtractive decode])
    Flags: bus master, 66MHz, fast devsel, latency 0
    Bus: primary=00, secondary=01, subordinate=02, sec-latency=64
    Memory behind bridge: fc100000-fc1fffff
    Capabilities: [b8] Subsystem: Hewlett-Packard Company Device 30d6
    Capabilities: [8c] HyperTransport: MSI Mapping Enable- Fixed-

00:09.0 IDE interface: nVidia Corporation MCP67 AHCI Controller (rev a2) 
(prog-if 85 [Master SecO PriO])
    Subsystem: Hewlett-Packard Company Device 30d6
    Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 21
    I/O ports at 30f0 [size=8]
    I/O ports at 30e4 [size=4]
    I/O ports at 30e8 [size=8]
    I/O ports at 30e0 [size=4]
    I/O ports at 30d0 [size=16]
    Memory at fc484000 (32-bit, non-prefetchable) [size=8K]
    Capabilities: [44] Power Management version 2
    Capabilities: [8c] SATA HBA v1.0
    Capabilities: [b0] MSI: Enable- Count=1/8 Maskable- 64bit+
    Capabilities: [cc] HyperTransport: MSI Mapping Enable- Fixed+
    Kernel driver in use: ahci

00:0a.0 Ethernet controller: nVidia Corporation MCP67 Ethernet (rev a2)
    Subsystem: Hewlett-Packard Company Device 30d6
    Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 42
    Memory at fc488000 (32-bit, non-prefetchable) [size=4K]
    I/O ports at 30f8 [size=8]
    Memory at fc489c00 (32-bit, non-prefetchable) [size=256]
    Memory at fc489800 (32-bit, non-prefetchable) [size=16]
    Capabilities: [44] Power Management version 2
    Capabilities: [50] MSI: Enable+ Count=1/8 Maskable+ 64bit+
    Capabilities: [6c] HyperTransport: MSI Mapping Enable- Fixed+
    Kernel driver in use: forcedeth

00:0c.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev a2) 
(prog-if 00 [Normal decode])
    Flags: bus master, fast devsel, latency 0
    Bus: primary=00, secondary=06, subordinate=07, sec-latency=0
    I/O behind bridge: 00004000-00004fff
    Memory behind bridge: f8000000-fbffffff
    Capabilities: [40] Subsystem: nVidia Corporation Device 0000
    Capabilities: [48] Power Management version 2
    Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
    Capabilities: [60] HyperTransport: MSI Mapping Enable- Fixed-
    Capabilities: [80] Express Root Port (Slot+), MSI 00
    Capabilities: [100] Virtual Channel
    Kernel driver in use: pcieport

00:0d.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev a2) 
(prog-if 00 [Normal decode])
    Flags: bus master, fast devsel, latency 0
    Bus: primary=00, secondary=04, subordinate=05, sec-latency=0
    Memory behind bridge: fc000000-fc0fffff
    Capabilities: [40] Subsystem: nVidia Corporation Device 0000
    Capabilities: [48] Power Management version 2
    Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
    Capabilities: [60] HyperTransport: MSI Mapping Enable- Fixed-
    Capabilities: [80] Express Root Port (Slot+), MSI 00
    Capabilities: [100] Virtual Channel
    Kernel driver in use: pcieport

00:12.0 VGA compatible controller: nVidia Corporation C67 [GeForce 7150M 
/ nForce 630M] (rev a2) (prog-if 00 [VGA controller])
    Subsystem: Hewlett-Packard Company Device 30d6
    Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 10
    Memory at f4000000 (32-bit, non-prefetchable) [size=16M]
    Memory at d0000000 (64-bit, prefetchable) [size=256M]
    Memory at f0000000 (64-bit, non-prefetchable) [size=16M]
    [virtual] Expansion ROM at f1000000 [disabled] [size=128K]
    Capabilities: [48] Power Management version 2
    Capabilities: [50] MSI: Enable- Count=1/1 Maskable- 64bit+

00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] 
HyperTransport Technology Configuration
    Flags: fast devsel
    Capabilities: [80] HyperTransport: Host or Secondary Interface

00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] 
Address Map
    Flags: fast devsel

00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] 
DRAM Controller
    Flags: fast devsel

00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] 
Miscellaneous Control
    Flags: fast devsel
    Capabilities: [f0] Secure device <?>
    Kernel driver in use: k8temp

01:09.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller 
(rev 05) (prog-if 10 [OHCI])
    Subsystem: Hewlett-Packard Company Device 30d6
    Flags: bus master, medium devsel, latency 64, IRQ 11
    Memory at fc100000 (32-bit, non-prefetchable) [size=2K]
    Capabilities: [dc] Power Management version 2
    Kernel driver in use: firewire_ohci

01:09.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro 
Host Adapter (rev 22)
    Subsystem: Hewlett-Packard Company Device 30d6
    Flags: bus master, medium devsel, latency 64, IRQ 10
    Memory at fc100800 (32-bit, non-prefetchable) [size=256]
    Capabilities: [80] Power Management version 2
    Kernel driver in use: sdhci-pci

01:09.2 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host 
Adapter (rev 12)
    Subsystem: Hewlett-Packard Company Device 30d6
    Flags: bus master, medium devsel, latency 64, IRQ 11
    Memory at fc101000 (32-bit, non-prefetchable) [size=256]
    Capabilities: [80] Power Management version 2

01:09.3 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 12)
    Subsystem: Hewlett-Packard Company Device 30d6
    Flags: bus master, medium devsel, latency 64, IRQ 10
    Memory at fc101400 (32-bit, non-prefetchable) [size=256]
    Capabilities: [80] Power Management version 2
    Kernel driver in use: r852

04:00.0 Network controller: Broadcom Corporation BCM4311 802.11a/b/g 
(rev 02)
    Subsystem: Hewlett-Packard Company Broadcom 802.11a/b/g WLAN
    Flags: bus master, fast devsel, latency 0, IRQ 22
    Memory at fc000000 (64-bit, non-prefetchable) [size=16K]
    Capabilities: [40] Power Management version 3
    Capabilities: [58] Vendor Specific Information: Len=78 <?>
    Capabilities: [e8] MSI: Enable- Count=1/1 Maskable- 64bit+
    Capabilities: [d0] Express Endpoint, MSI 00
    Capabilities: [100] Advanced Error Reporting
    Capabilities: [13c] Virtual Channel
    Capabilities: [160] Device Serial Number 9b-27-73-ff-ff-73-00-1a
    Capabilities: [16c] Power Budgeting <?>
    Kernel driver in use: b43-pci-bridge

root@nanyang:/home/jiunshyong#





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635573; Package linux-image-2.6.32-5-amd64. (Fri, 05 Aug 2011 15:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 05 Aug 2011 15:39:06 GMT) Full text and rfc822 format available.

Message #15 received at 635573@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Hor Jiun Shyong <jiunshyong@gmail.com>
Cc: 635573@bugs.debian.org
Subject: Re: Endless message of "Unable to enumerate usb device on port 5"
Date: Fri, 5 Aug 2011 17:36:00 +0200
severity 635573 important
tags 635573 + upstream
forwarded 635573 https://bugzilla.kernel.org/show_bug.cgi?id=22052
merge 620848 635573
tags 620848 + fixed-upstream
quit

Hi,

Hor Jiun Shyong wrote:

> [Subject: lspci output]

Please keep in mind that this appears as the subject line when these
mails are received by email, so it can be a good place to put valuable
context.

[...]
> 00:02.0 USB Controller: nVidia Corporation MCP67 OHCI USB 1.1 Controller

Yep, this looks like Bug#620848.  Could you test the package from

 http://people.debian.org/~benh/packages/linux-image-2.6.39-3-amd64_2.6.39-4~a.test1_amd64.deb

, the latest upstream snapshot version from kernel.org, or the
following patch?  Instructions for testing a snapshot or a patch are
at <http://kernel-handbook.alioth.debian.org/>.

Thanks,
Jonathan

commit 6ea12a04
Author: Alan Stern <stern@rowland.harvard.edu>
Date:   Fri Jul 15 17:22:15 2011 -0400

    USB: OHCI: fix another regression for NVIDIA controllers
    
    The NVIDIA series of OHCI controllers continues to be troublesome.  A
    few people using the MCP67 chipset have reported that even with the
    most recent kernels, the OHCI controller fails to handle new
    connections and spams the system log with "unable to enumerate USB
    port" messages.  This is different from the other problems previously
    reported for NVIDIA OHCI controllers, although it is probably related.
    
    It turns out that the MCP67 controller does not like to be kept in the
    RESET state very long.  After only a few seconds, it decides not to
    work any more.  This patch (as1479) changes the PCI initialization
    quirk code so that NVIDIA controllers are switched into the SUSPEND
    state after 50 ms of RESET.  With no interrupts enabled and all the
    downstream devices reset, and thus unable to send wakeup requests,
    this should be perfectly safe (even for non-NVIDIA hardware).
    
    The removal code in ohci-hcd hasn't been changed; it will still leave
    the controller in the RESET state.  As a result, if someone unloads
    ohci-hcd and then reloads it, the controller won't work again until
    the system is rebooted.  If anybody complains about this, the removal
    code can be updated similarly.
    
    This fixes Bugzilla #22052.
    
    Tested-by: Larry Finger <Larry.Finger@lwfinger.net>
    Cc: stable <stable@kernel.org>
    Signed-off-by: Alan Stern <stern@rowland.harvard.edu>
    Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

diff --git a/drivers/usb/host/pci-quirks.c b/drivers/usb/host/pci-quirks.c
index b5a7304f..a9d31590 100644
--- a/drivers/usb/host/pci-quirks.c
+++ b/drivers/usb/host/pci-quirks.c
@@ -35,6 +35,8 @@
 #define OHCI_INTRSTATUS		0x0c
 #define OHCI_INTRENABLE		0x10
 #define OHCI_INTRDISABLE	0x14
+#define OHCI_FMINTERVAL		0x34
+#define OHCI_HCR		(1 << 0)	/* host controller reset */
 #define OHCI_OCR		(1 << 3)	/* ownership change request */
 #define OHCI_CTRL_RWC		(1 << 9)	/* remote wakeup connected */
 #define OHCI_CTRL_IR		(1 << 8)	/* interrupt routing */
@@ -497,6 +499,32 @@ static void __devinit quirk_usb_handoff_ohci(struct pci_dev *pdev)
 
 	/* reset controller, preserving RWC (and possibly IR) */
 	writel(control & OHCI_CTRL_MASK, base + OHCI_CONTROL);
+	readl(base + OHCI_CONTROL);
+
+	/* Some NVIDIA controllers stop working if kept in RESET for too long */
+	if (pdev->vendor == PCI_VENDOR_ID_NVIDIA) {
+		u32 fminterval;
+		int cnt;
+
+		/* drive reset for at least 50 ms (7.1.7.5) */
+		msleep(50);
+
+		/* software reset of the controller, preserving HcFmInterval */
+		fminterval = readl(base + OHCI_FMINTERVAL);
+		writel(OHCI_HCR, base + OHCI_CMDSTATUS);
+
+		/* reset requires max 10 us delay */
+		for (cnt = 30; cnt > 0; --cnt) {	/* ... allow extra time */
+			if ((readl(base + OHCI_CMDSTATUS) & OHCI_HCR) == 0)
+				break;
+			udelay(1);
+		}
+		writel(fminterval, base + OHCI_FMINTERVAL);
+
+		/* Now we're in the SUSPEND state with all devices reset
+		 * and wakeups and interrupts disabled
+		 */
+	}
 
 	/*
 	 * disable interrupts




Severity set to 'important' from 'normal' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 05 Aug 2011 15:39:07 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 05 Aug 2011 15:39:08 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=22052'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 05 Aug 2011 15:39:09 GMT) Full text and rfc822 format available.

Bug reassigned from package 'linux-image-2.6.32-5-amd64' to 'linux-2.6'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 05 Aug 2011 15:45:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions linux-2.6/2.6.32-31. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 05 Aug 2011 15:45:09 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-31. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 05 Aug 2011 15:45:10 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 05 Aug 2011 15:45:11 GMT) Full text and rfc822 format available.

Merged 620848 622649 635573. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 05 Aug 2011 15:45:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635573; Package linux-2.6. (Sat, 06 Aug 2011 14:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hor Jiun Shyong <jiunshyong@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 06 Aug 2011 14:27:07 GMT) Full text and rfc822 format available.

Message #36 received at 635573@bugs.debian.org (full text, mbox):

From: Hor Jiun Shyong <jiunshyong@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 635573@bugs.debian.org
Subject: Re: Endless message of "Unable to enumerate usb device on port 5"
Date: Sat, 06 Aug 2011 22:24:32 +0800
Hi Jonathan,

Thanks for the follow-up.  Will test and feedback asap.


Regards,
Jiun Shyong


On 08/05/2011 11:36 PM, Jonathan Nieder wrote:
> severity 635573 important
> tags 635573 + upstream
> forwarded 635573 https://bugzilla.kernel.org/show_bug.cgi?id=22052
> merge 620848 635573
> tags 620848 + fixed-upstream
> quit
>
> Hi,
>
> Hor Jiun Shyong wrote:
>
>> [Subject: lspci output]
> Please keep in mind that this appears as the subject line when these
> mails are received by email, so it can be a good place to put valuable
> context.
>
> [...]
>> 00:02.0 USB Controller: nVidia Corporation MCP67 OHCI USB 1.1 Controller
> Yep, this looks like Bug#620848.  Could you test the package from
>
>   http://people.debian.org/~benh/packages/linux-image-2.6.39-3-amd64_2.6.39-4~a.test1_amd64.deb
>
> , the latest upstream snapshot version from kernel.org, or the
> following patch?  Instructions for testing a snapshot or a patch are
> at<http://kernel-handbook.alioth.debian.org/>.
>
> Thanks,
> Jonathan
>
> commit 6ea12a04
> Author: Alan Stern<stern@rowland.harvard.edu>
> Date:   Fri Jul 15 17:22:15 2011 -0400
>
>      USB: OHCI: fix another regression for NVIDIA controllers
>
>      The NVIDIA series of OHCI controllers continues to be troublesome.  A
>      few people using the MCP67 chipset have reported that even with the
>      most recent kernels, the OHCI controller fails to handle new
>      connections and spams the system log with "unable to enumerate USB
>      port" messages.  This is different from the other problems previously
>      reported for NVIDIA OHCI controllers, although it is probably related.
>
>      It turns out that the MCP67 controller does not like to be kept in the
>      RESET state very long.  After only a few seconds, it decides not to
>      work any more.  This patch (as1479) changes the PCI initialization
>      quirk code so that NVIDIA controllers are switched into the SUSPEND
>      state after 50 ms of RESET.  With no interrupts enabled and all the
>      downstream devices reset, and thus unable to send wakeup requests,
>      this should be perfectly safe (even for non-NVIDIA hardware).
>
>      The removal code in ohci-hcd hasn't been changed; it will still leave
>      the controller in the RESET state.  As a result, if someone unloads
>      ohci-hcd and then reloads it, the controller won't work again until
>      the system is rebooted.  If anybody complains about this, the removal
>      code can be updated similarly.
>
>      This fixes Bugzilla #22052.
>
>      Tested-by: Larry Finger<Larry.Finger@lwfinger.net>
>      Cc: stable<stable@kernel.org>
>      Signed-off-by: Alan Stern<stern@rowland.harvard.edu>
>      Signed-off-by: Greg Kroah-Hartman<gregkh@suse.de>
>
> diff --git a/drivers/usb/host/pci-quirks.c b/drivers/usb/host/pci-quirks.c
> index b5a7304f..a9d31590 100644
> --- a/drivers/usb/host/pci-quirks.c
> +++ b/drivers/usb/host/pci-quirks.c
> @@ -35,6 +35,8 @@
>   #define OHCI_INTRSTATUS		0x0c
>   #define OHCI_INTRENABLE		0x10
>   #define OHCI_INTRDISABLE	0x14
> +#define OHCI_FMINTERVAL		0x34
> +#define OHCI_HCR		(1<<  0)	/* host controller reset */
>   #define OHCI_OCR		(1<<  3)	/* ownership change request */
>   #define OHCI_CTRL_RWC		(1<<  9)	/* remote wakeup connected */
>   #define OHCI_CTRL_IR		(1<<  8)	/* interrupt routing */
> @@ -497,6 +499,32 @@ static void __devinit quirk_usb_handoff_ohci(struct pci_dev *pdev)
>
>   	/* reset controller, preserving RWC (and possibly IR) */
>   	writel(control&  OHCI_CTRL_MASK, base + OHCI_CONTROL);
> +	readl(base + OHCI_CONTROL);
> +
> +	/* Some NVIDIA controllers stop working if kept in RESET for too long */
> +	if (pdev->vendor == PCI_VENDOR_ID_NVIDIA) {
> +		u32 fminterval;
> +		int cnt;
> +
> +		/* drive reset for at least 50 ms (7.1.7.5) */
> +		msleep(50);
> +
> +		/* software reset of the controller, preserving HcFmInterval */
> +		fminterval = readl(base + OHCI_FMINTERVAL);
> +		writel(OHCI_HCR, base + OHCI_CMDSTATUS);
> +
> +		/* reset requires max 10 us delay */
> +		for (cnt = 30; cnt>  0; --cnt) {	/* ... allow extra time */
> +			if ((readl(base + OHCI_CMDSTATUS)&  OHCI_HCR) == 0)
> +				break;
> +			udelay(1);
> +		}
> +		writel(fminterval, base + OHCI_FMINTERVAL);
> +
> +		/* Now we're in the SUSPEND state with all devices reset
> +		 * and wakeups and interrupts disabled
> +		 */
> +	}
>
>   	/*
>   	 * disable interrupts





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635573; Package linux-2.6. (Tue, 09 Aug 2011 12:30:54 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hor Jiun Shyong <jiunshyong@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Aug 2011 12:31:11 GMT) Full text and rfc822 format available.

Message #41 received at 635573@bugs.debian.org (full text, mbox):

From: Hor Jiun Shyong <jiunshyong@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 635573@bugs.debian.org
Subject: Re: Endless message of "Unable to enumerate usb device on port 5"
Date: Tue, 09 Aug 2011 20:25:24 +0800
Hi Jonathan,

After installing your   
linux-image-2.6.39-3-amd64_2.6.39-4~a.test1_amd64.deb, the message 
"Unable to enumerate usb device on port 5"  does not appear anymore and 
console is not spammed with the message.

Thanks for your help.  Will this fix be pushed to the latest debian kernel?

Jiun Shyong


Below are the dmesg output.

[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 2.6.39-3-amd64 (Debian 2.6.39-4~a.test1) 
(ben@decadent.org.uk) (gcc version 4.4.6 (Debian 4.4.6-6) ) #2 SMP Fri 
Jul 15 01:45:45 UTC 2011
[    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-2.6.39-3-amd64 
root=UUID=884d0be0-6422-4dae-be4a-dd5375cb6c8f ro quiet
[    0.000000] BIOS-provided physical RAM map:
[    0.000000]  BIOS-e820: 0000000000000000 - 000000000009e000 (usable)
[    0.000000]  BIOS-e820: 000000000009e000 - 00000000000a0000 (reserved)
[    0.000000]  BIOS-e820: 00000000000d2000 - 0000000000100000 (reserved)
[    0.000000]  BIOS-e820: 0000000000100000 - 00000000c7f50000 (usable)
[    0.000000]  BIOS-e820: 00000000c7f50000 - 00000000c7f65000 (ACPI data)
[    0.000000]  BIOS-e820: 00000000c7f65000 - 00000000c7f66000 (ACPI NVS)
[    0.000000]  BIOS-e820: 00000000c7f66000 - 00000000d0000000 (reserved)
[    0.000000]  BIOS-e820: 00000000e0000000 - 00000000f0000000 (reserved)
[    0.000000]  BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
[    0.000000]  BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
[    0.000000]  BIOS-e820: 00000000fff80000 - 0000000100000000 (reserved)
[    0.000000]  BIOS-e820: 0000000100000000 - 0000000130000000 (usable)
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] DMI present.
[    0.000000] DMI: Hewlett-Packard Presario V3500 Notebook PC/30D6, 
BIOS F.04 08/06/2007
[    0.000000] e820 update range: 0000000000000000 - 0000000000010000 
(usable) ==> (reserved)
[    0.000000] e820 remove range: 00000000000a0000 - 0000000000100000 
(usable)
[    0.000000] No AGP bridge found
[    0.000000] last_pfn = 0x130000 max_arch_pfn = 0x400000000
[    0.000000] MTRR default type: uncachable
[    0.000000] MTRR fixed ranges enabled:
[    0.000000]   00000-9FFFF write-back
[    0.000000]   A0000-BFFFF uncachable
[    0.000000]   C0000-D3FFF write-protect
[    0.000000]   D4000-DBFFF uncachable
[    0.000000]   DC000-DFFFF write-protect
[    0.000000]   E0000-E3FFF uncachable
[    0.000000]   E4000-FFFFF write-protect
[    0.000000] MTRR variable ranges enabled:
[    0.000000]   0 base 0000000000 mask FF80000000 write-back
[    0.000000]   1 base 0080000000 mask FFC0000000 write-back
[    0.000000]   2 base 00C0000000 mask FFF8000000 write-back
[    0.000000]   3 disabled
[    0.000000]   4 disabled
[    0.000000]   5 disabled
[    0.000000]   6 disabled
[    0.000000]   7 disabled
[    0.000000] TOM2: 0000000130000000 aka 4864M
[    0.000000] x86 PAT enabled: cpu 0, old 0x7040600070406, new 
0x7010600070106
[    0.000000] e820 update range: 00000000c8000000 - 0000000100000000 
(usable) ==> (reserved)
[    0.000000] last_pfn = 0xc7f50 max_arch_pfn = 0x400000000
[    0.000000] found SMP MP-table at [ffff8800000f80a0] f80a0
[    0.000000] initial memory mapped : 0 - 20000000
[    0.000000] Base memory trampoline at [ffff880000099000] 99000 size 20480
[    0.000000] init_memory_mapping: 0000000000000000-00000000c7f50000
[    0.000000]  0000000000 - 00c7e00000 page 2M
[    0.000000]  00c7e00000 - 00c7f50000 page 4k
[    0.000000] kernel direct mapping tables up to c7f50000 @ 
c7f4a000-c7f50000
[    0.000000] init_memory_mapping: 0000000100000000-0000000130000000
[    0.000000]  0100000000 - 0130000000 page 2M
[    0.000000] kernel direct mapping tables up to 130000000 @ 
12fffa000-130000000
[    0.000000] RAMDISK: 36c94000 - 37642000
[    0.000000] ACPI: RSDP 00000000000f80d0 00024 (v03 HPQOEM)
[    0.000000] ACPI: XSDT 00000000c7f5d34b 0006C (v01 HPQOEM SLIC-MPC 
06040000  LTP 00000000)
[    0.000000] ACPI: FACP 00000000c7f6484c 000F4 (v03 HPQOEM SLIC-MPC 
06040000 PTL_ 000F4240)
[    0.000000] ACPI: DSDT 00000000c7f5d3b7 07495 (v01 HPQOEM SLIC-MPC 
06040000 MSFT 03000000)
[    0.000000] ACPI: FACS 00000000c7f65fc0 00040
[    0.000000] ACPI: SLIC 00000000c7f649b4 00176 (v01 HPQOEM SLIC-MPC 
06040000 HPQ  00000001)
[    0.000000] ACPI: WDAT 00000000c7f64b2a 00104 (v01 PTLTD  WDATTBL  
06040000  LTP 00000001)
[    0.000000] ACPI: SRAT 00000000c7f64c2e 000C8 (v01 AMD    HAMMER   
06040000 AMD  00000001)
[    0.000000] ACPI: MCFG 00000000c7f64cf6 0003C (v01 HPQOEM SLIC-MPC 
06040000  LTP 00000000)
[    0.000000] ACPI: HPET 00000000c7f64d32 00038 (v01 HPQOEM SLIC-MPC 
06040000  LTP 00000001)
[    0.000000] ACPI: APIC 00000000c7f64d6a 00068 (v01 HPQOEM SLIC-MPC 
06040000  LTP 00000000)
[    0.000000] ACPI: BOOT 00000000c7f64dd2 00028 (v01 HPQOEM SLIC-MPC 
06040000  LTP 00000001)
[    0.000000] ACPI: SSDT 00000000c7f64dfa 00206 (v01 HPQOEM SLIC-MPC 
06040000  LTP 00000001)
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] SRAT: PXM 0 -> APIC 0x00 -> Node 0
[    0.000000] SRAT: PXM 0 -> APIC 0x01 -> Node 0
[    0.000000] SRAT: Node 0 PXM 0 0-a0000
[    0.000000] SRAT: Node 0 PXM 0 100000-d0000000
[    0.000000] SRAT: Node 0 PXM 0 100000000-130000000
[    0.000000] NUMA: Node 0 [0,a0000) + [100000,d0000000) -> [0,d0000000)
[    0.000000] NUMA: Node 0 [0,d0000000) + [100000000,130000000) -> 
[0,130000000)
[    0.000000] NUMA: Using 63 for the hash shift.
[    0.000000] Initmem setup node 0 0000000000000000-0000000130000000
[    0.000000]   NODE_DATA [000000012fffb000 - 000000012fffffff]
[    0.000000]  [ffffea0000000000-ffffea00043fffff] PMD -> 
[ffff88012b800000-ffff88012effffff] on node 0
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000010 -> 0x00001000
[    0.000000]   DMA32    0x00001000 -> 0x00100000
[    0.000000]   Normal   0x00100000 -> 0x00130000
[    0.000000] Movable zone start PFN for each node
[    0.000000] early_node_map[3] active PFN ranges
[    0.000000]     0: 0x00000010 -> 0x0000009e
[    0.000000]     0: 0x00000100 -> 0x000c7f50
[    0.000000]     0: 0x00100000 -> 0x00130000
[    0.000000] On node 0 totalpages: 1015518
[    0.000000]   DMA zone: 56 pages used for memmap
[    0.000000]   DMA zone: 5 pages reserved
[    0.000000]   DMA zone: 3921 pages, LIFO batch:0
[    0.000000]   DMA32 zone: 14280 pages used for memmap
[    0.000000]   DMA32 zone: 800648 pages, LIFO batch:31
[    0.000000]   Normal zone: 2688 pages used for memmap
[    0.000000]   Normal zone: 193920 pages, LIFO batch:31
[    0.000000] Detected use of extended apic ids on hypertransport bus
[    0.000000] ACPI: PM-Timer IO Port: 0x1008
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
[    0.000000] ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
[    0.000000] IOAPIC[0]: apic_id 2, version 17, address 0xfec00000, GSI 
0-23
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 low level)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: IRQ0 used by override.
[    0.000000] ACPI: IRQ2 used by override.
[    0.000000] ACPI: IRQ9 used by override.
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] ACPI: HPET id: 0x10de8201 base: 0xfed00000
[    0.000000] SMP: Allowing 2 CPUs, 0 hotplug CPUs
[    0.000000] nr_irqs_gsi: 40
[    0.000000] PM: Registered nosave memory: 000000000009e000 - 
00000000000a0000
[    0.000000] PM: Registered nosave memory: 00000000000a0000 - 
00000000000d2000
[    0.000000] PM: Registered nosave memory: 00000000000d2000 - 
0000000000100000
[    0.000000] PM: Registered nosave memory: 00000000c7f50000 - 
00000000c7f65000
[    0.000000] PM: Registered nosave memory: 00000000c7f65000 - 
00000000c7f66000
[    0.000000] PM: Registered nosave memory: 00000000c7f66000 - 
00000000d0000000
[    0.000000] PM: Registered nosave memory: 00000000d0000000 - 
00000000e0000000
[    0.000000] PM: Registered nosave memory: 00000000e0000000 - 
00000000f0000000
[    0.000000] PM: Registered nosave memory: 00000000f0000000 - 
00000000fec00000
[    0.000000] PM: Registered nosave memory: 00000000fec00000 - 
00000000fec10000
[    0.000000] PM: Registered nosave memory: 00000000fec10000 - 
00000000fee00000
[    0.000000] PM: Registered nosave memory: 00000000fee00000 - 
00000000fee01000
[    0.000000] PM: Registered nosave memory: 00000000fee01000 - 
00000000fff80000
[    0.000000] PM: Registered nosave memory: 00000000fff80000 - 
0000000100000000
[    0.000000] Allocating PCI resources starting at d0000000 (gap: 
d0000000:10000000)
[    0.000000] Booting paravirtualized kernel on bare hardware
[    0.000000] setup_percpu: NR_CPUS:512 nr_cpumask_bits:512 
nr_cpu_ids:2 nr_node_ids:1
[    0.000000] PERCPU: Embedded 28 pages/cpu @ffff88012fc00000 s83840 
r8192 d22656 u1048576
[    0.000000] pcpu-alloc: s83840 r8192 d22656 u1048576 alloc=1*2097152
[    0.000000] pcpu-alloc: [0] 0 1
[    0.000000] Built 1 zonelists in Node order, mobility grouping on.  
Total pages: 998489
[    0.000000] Policy zone: Normal
[    0.000000] Kernel command line: 
BOOT_IMAGE=/boot/vmlinuz-2.6.39-3-amd64 
root=UUID=884d0be0-6422-4dae-be4a-dd5375cb6c8f ro quiet
[    0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)
[    0.000000] Checking aperture...
[    0.000000] No AGP bridge found
[    0.000000] Node 0: aperture @ 4784000000 size 32 MB
[    0.000000] Aperture beyond 4GB. Ignoring.
[    0.000000] Your BIOS doesn't leave a aperture memory hole
[    0.000000] Please enable the IOMMU option in the BIOS setup
[    0.000000] This costs you 64 MB of RAM
[    0.000000] Mapping aperture over 65536 KB of RAM @ a0000000
[    0.000000] PM: Registered nosave memory: 00000000a0000000 - 
00000000a4000000
[    0.000000] Memory: 3854496k/4980736k available (3314k kernel code, 
918664k absent, 207576k reserved, 3376k data, 596k init)
[    0.000000] Hierarchical RCU implementation.
[    0.000000]     RCU dyntick-idle grace-period acceleration is enabled.
[    0.000000]     RCU-based detection of stalled CPUs is disabled.
[    0.000000] NR_IRQS:33024 nr_irqs:512 16
[    0.000000] Extended CMOS year: 2000
[    0.000000] spurious 8259A interrupt: IRQ7.
[    0.000000] Console: colour VGA+ 80x25
[    0.000000] console [tty0] enabled
[    0.000000] hpet clockevent registered
[    0.000000] Fast TSC calibration using PIT
[    0.000000] Detected 1999.926 MHz processor.
[    0.000000] Marking TSC unstable due to TSCs unsynchronized
[    0.004007] Calibrating delay loop (skipped), value calculated using 
timer frequency.. 3999.85 BogoMIPS (lpj=7999704)
[    0.004012] pid_max: default: 32768 minimum: 301
[    0.004172] Security Framework initialized
[    0.004178] SELinux:  Disabled at boot.
[    0.004682] Dentry cache hash table entries: 524288 (order: 10, 
4194304 bytes)
[    0.008519] Inode-cache hash table entries: 262144 (order: 9, 2097152 
bytes)
[    0.009774] Mount-cache hash table entries: 256
[    0.009972] Initializing cgroup subsys ns
[    0.009975] ns_cgroup deprecated: consider using the 'clone_children' 
flag without the ns_cgroup.
[    0.009979] Initializing cgroup subsys cpuacct
[    0.009984] Initializing cgroup subsys memory
[    0.010001] Initializing cgroup subsys devices
[    0.010004] Initializing cgroup subsys freezer
[    0.010006] Initializing cgroup subsys net_cls
[    0.010011] Initializing cgroup subsys blkio
[    0.010069] tseg: 00c7f80000
[    0.010072] CPU: Physical Processor ID: 0
[    0.010074] CPU: Processor Core ID: 0
[    0.010076] mce: CPU supports 5 MCE banks
[    0.010088] using C1E aware idle routine
[    0.010926] ACPI: Core revision 20110316
[    0.016071] Setting APIC routing to flat
[    0.016533] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.058051] CPU0: AMD Turion(tm) 64 X2 TL-60 stepping 02
[    0.060003] Performance Events: AMD PMU driver.
[    0.060003] ... version:                0
[    0.060003] ... bit width:              48
[    0.060003] ... generic registers:      4
[    0.060003] ... value mask:             0000ffffffffffff
[    0.060003] ... max period:             00007fffffffffff
[    0.060003] ... fixed-purpose events:   0
[    0.060003] ... event mask:             000000000000000f
[    0.060003] NMI watchdog enabled, takes one hw-pmu counter.
[    0.060003] Booting Node   0, Processors  #1 Ok.
[    0.060003] smpboot cpu 1: start_ip = 99000
[    0.144136] NMI watchdog enabled, takes one hw-pmu counter.
[    0.144124] System has AMD C1E enabled
[    0.144162] Brought up 2 CPUs
[    0.144165] Total of 2 processors activated (8000.23 BogoMIPS).
[    0.144159] Switch to broadcast mode on CPU1
[    0.144588] Switch to broadcast mode on CPU0
[    0.144588] devtmpfs: initialized
[    0.148476] PM: Registering ACPI NVS region at c7f65000 (4096 bytes)
[    0.148476] print_constraints: dummy:
[    0.148476] NET: Registered protocol family 16
[    0.148476] node 0 link 0: io port [1000, fffff]
[    0.148478] TOM: 00000000d0000000 aka 3328M
[    0.148481] node 0 link 0: mmio [a0000, bffff]
[    0.148485] node 0 link 0: mmio [d0000000, dfffffff]
[    0.148488] node 0 link 0: mmio [e0000000, efffffff]
[    0.148491] node 0 link 0: mmio [f0000000, fe0bffff]
[    0.148494] TOM2: 0000000130000000 aka 4864M
[    0.148497] bus: [00, ff] on node 0 link 0
[    0.148501] bus: 00 index 0 [io  0x0000-0xffff]
[    0.148504] bus: 00 index 1 [mem 0x000a0000-0x000bffff]
[    0.148507] bus: 00 index 2 [mem 0xd0000000-0xffffffff]
[    0.148510] bus: 00 index 3 [mem 0x130000000-0xfcffffffff]
[    0.148521] ACPI: bus type pci registered
[    0.148602] PCI: MMCONFIG for domain 0000 [bus 00-09] at [mem 
0xe0000000-0xe09fffff] (base 0xe0000000)
[    0.148607] PCI: MMCONFIG at [mem 0xe0000000-0xe09fffff] reserved in E820
[    0.149860] PCI: Using configuration type 1 for base access
[    0.150448] bio: create slab <bio-0> at 0
[    0.150448] ACPI: EC: Look up EC in DSDT
[    0.151280] [Firmware Bug]: ACPI: BIOS _OSI(Linux) query ignored
[    0.168103] ACPI: Interpreter enabled
[    0.168107] ACPI: (supports S0 S3 S4 S5)
[    0.168130] ACPI: Using IOAPIC for interrupt routing
[    0.198198] ACPI: EC: GPE = 0x2a, I/O: command/status = 0x66, data = 0x62
[    0.216175] ACPI: No dock devices found.
[    0.216178] HEST: Table not found.
[    0.216182] PCI: Ignoring host bridge windows from ACPI; if 
necessary, use "pci=use_crs" and report a bug
[    0.216347] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[    0.216499] pci_root PNP0A08:00: host bridge window [io  
0x0000-0x0cf7] (ignored)
[    0.216502] pci_root PNP0A08:00: host bridge window [io  
0x0d00-0xffff] (ignored)
[    0.216506] pci_root PNP0A08:00: host bridge window [mem 
0x000a0000-0x000bffff] (ignored)
[    0.216509] pci_root PNP0A08:00: host bridge window [mem 
0x000c0000-0x000c3fff] (ignored)
[    0.216513] pci_root PNP0A08:00: host bridge window [mem 
0x000c4000-0x000c7fff] (ignored)
[    0.216516] pci_root PNP0A08:00: host bridge window [mem 
0x000c8000-0x000cbfff] (ignored)
[    0.216519] pci_root PNP0A08:00: host bridge window [mem 
0x000cc000-0x000cffff] (ignored)
[    0.216523] pci_root PNP0A08:00: host bridge window [mem 
0x000d0000-0x000d3fff] (ignored)
[    0.216526] pci_root PNP0A08:00: host bridge window [mem 
0x000d4000-0x000d7fff] (ignored)
[    0.216529] pci_root PNP0A08:00: host bridge window [mem 
0x000d8000-0x000dbfff] (ignored)
[    0.216533] pci_root PNP0A08:00: host bridge window [mem 
0x000dc000-0x000dffff] (ignored)
[    0.216536] pci_root PNP0A08:00: host bridge window [mem 
0x000e0000-0x000e3fff] (ignored)
[    0.216539] pci_root PNP0A08:00: host bridge window [mem 
0x000e4000-0x000e7fff] (ignored)
[    0.216543] pci_root PNP0A08:00: host bridge window [mem 
0x000e8000-0x000ebfff] (ignored)
[    0.216546] pci_root PNP0A08:00: host bridge window [mem 
0x000ec000-0x000effff] (ignored)
[    0.216549] pci_root PNP0A08:00: host bridge window [mem 
0x000f0000-0x000fffff] (ignored)
[    0.216553] pci_root PNP0A08:00: host bridge window [mem 
0xd0000000-0xfebfffff] (ignored)
[    0.216579] pci 0000:00:00.0: [10de:0547] type 0 class 0x000500
[    0.216737] pci 0000:00:01.0: [10de:0548] type 0 class 0x000601
[    0.216780] pci 0000:00:01.1: [10de:0542] type 0 class 0x000c05
[    0.216792] pci 0000:00:01.1: reg 10: [io  0x3080-0x30bf]
[    0.216809] pci 0000:00:01.1: reg 20: [io  0x3040-0x307f]
[    0.216815] pci 0000:00:01.1: reg 24: [io  0x3000-0x303f]
[    0.216836] pci 0000:00:01.1: PME# supported from D3hot D3cold
[    0.216842] pci 0000:00:01.1: PME# disabled
[    0.216857] pci 0000:00:01.2: [10de:0541] type 0 class 0x000500
[    0.216906] pci 0000:00:01.3: [10de:0543] type 0 class 0x000b40
[    0.216923] pci 0000:00:01.3: reg 10: [mem 0xfc200000-0xfc27ffff]
[    0.217033] pci 0000:00:02.0: [10de:055e] type 0 class 0x000c03
[    0.217043] pci 0000:00:02.0: reg 10: [mem 0xfc486000-0xfc486fff]
[    0.217074] pci 0000:00:02.0: supports D1 D2
[    0.217076] pci 0000:00:02.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.217080] pci 0000:00:02.0: PME# disabled
[    0.217096] pci 0000:00:02.1: [10de:055f] type 0 class 0x000c03
[    0.217107] pci 0000:00:02.1: reg 10: [mem 0xfc489000-0xfc4890ff]
[    0.217142] pci 0000:00:02.1: supports D1 D2
[    0.217145] pci 0000:00:02.1: PME# supported from D0 D1 D2 D3hot D3cold
[    0.217149] pci 0000:00:02.1: PME# disabled
[    0.217171] pci 0000:00:04.0: [10de:055e] type 0 class 0x000c03
[    0.217180] pci 0000:00:04.0: reg 10: [mem 0xfc487000-0xfc487fff]
[    0.217211] pci 0000:00:04.0: supports D1 D2
[    0.217214] pci 0000:00:04.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.217218] pci 0000:00:04.0: PME# disabled
[    0.217233] pci 0000:00:04.1: [10de:055f] type 0 class 0x000c03
[    0.217244] pci 0000:00:04.1: reg 10: [mem 0xfc489400-0xfc4894ff]
[    0.217279] pci 0000:00:04.1: supports D1 D2
[    0.217282] pci 0000:00:04.1: PME# supported from D0 D1 D2 D3hot D3cold
[    0.217286] pci 0000:00:04.1: PME# disabled
[    0.217308] pci 0000:00:06.0: [10de:0560] type 0 class 0x000101
[    0.217330] pci 0000:00:06.0: reg 20: [io  0x30c0-0x30cf]
[    0.217361] pci 0000:00:07.0: [10de:055c] type 0 class 0x000403
[    0.217373] pci 0000:00:07.0: reg 10: [mem 0xfc480000-0xfc483fff]
[    0.217408] pci 0000:00:07.0: PME# supported from D3hot D3cold
[    0.217412] pci 0000:00:07.0: PME# disabled
[    0.217434] pci 0000:00:08.0: [10de:0561] type 1 class 0x000604
[    0.217473] pci 0000:00:09.0: [10de:0550] type 0 class 0x000101
[    0.217483] pci 0000:00:09.0: reg 10: [io  0x30f0-0x30f7]
[    0.217488] pci 0000:00:09.0: reg 14: [io  0x30e4-0x30e7]
[    0.217494] pci 0000:00:09.0: reg 18: [io  0x30e8-0x30ef]
[    0.217499] pci 0000:00:09.0: reg 1c: [io  0x30e0-0x30e3]
[    0.217504] pci 0000:00:09.0: reg 20: [io  0x30d0-0x30df]
[    0.217509] pci 0000:00:09.0: reg 24: [mem 0xfc484000-0xfc485fff]
[    0.217546] pci 0000:00:0a.0: [10de:054c] type 0 class 0x000200
[    0.217557] pci 0000:00:0a.0: reg 10: [mem 0xfc488000-0xfc488fff]
[    0.217563] pci 0000:00:0a.0: reg 14: [io  0x30f8-0x30ff]
[    0.217569] pci 0000:00:0a.0: reg 18: [mem 0xfc489c00-0xfc489cff]
[    0.217574] pci 0000:00:0a.0: reg 1c: [mem 0xfc489800-0xfc48980f]
[    0.217598] pci 0000:00:0a.0: supports D1 D2
[    0.217601] pci 0000:00:0a.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.217606] pci 0000:00:0a.0: PME# disabled
[    0.217625] pci 0000:00:0c.0: [10de:0563] type 1 class 0x000604
[    0.217647] pci 0000:00:0c.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.217650] pci 0000:00:0c.0: PME# disabled
[    0.217667] pci 0000:00:0d.0: [10de:0563] type 1 class 0x000604
[    0.217689] pci 0000:00:0d.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.217692] pci 0000:00:0d.0: PME# disabled
[    0.217711] pci 0000:00:12.0: [10de:0531] type 0 class 0x000300
[    0.217719] pci 0000:00:12.0: reg 10: [mem 0xf4000000-0xf4ffffff]
[    0.217725] pci 0000:00:12.0: reg 14: [mem 0xd0000000-0xdfffffff 
64bit pref]
[    0.217732] pci 0000:00:12.0: reg 1c: [mem 0xf0000000-0xf0ffffff 64bit]
[    0.217740] pci 0000:00:12.0: reg 30: [mem 0x00000000-0x0001ffff pref]
[    0.217763] pci 0000:00:18.0: [1022:1100] type 0 class 0x000600
[    0.217786] pci 0000:00:18.1: [1022:1101] type 0 class 0x000600
[    0.217803] pci 0000:00:18.2: [1022:1102] type 0 class 0x000600
[    0.217822] pci 0000:00:18.3: [1022:1103] type 0 class 0x000600
[    0.217845] PCI: peer root bus 00 res updated from pci conf
[    0.217885] pci 0000:01:09.0: [1180:0832] type 0 class 0x000c00
[    0.217895] pci 0000:01:09.0: proprietary Ricoh MMC controller 
disabled (via firewire function)
[    0.217899] pci 0000:01:09.0: MMC cards are now supported by standard 
SDHCI controller
[    0.217909] pci 0000:01:09.0: reg 10: [mem 0xfc100000-0xfc1007ff]
[    0.217955] pci 0000:01:09.0: supports D1 D2
[    0.217957] pci 0000:01:09.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.217962] pci 0000:01:09.0: PME# disabled
[    0.217978] pci 0000:01:09.1: [1180:0822] type 0 class 0x000805
[    0.217992] pci 0000:01:09.1: reg 10: [mem 0xfc100800-0xfc1008ff]
[    0.218037] pci 0000:01:09.1: supports D1 D2
[    0.218040] pci 0000:01:09.1: PME# supported from D0 D1 D2 D3hot D3cold
[    0.218044] pci 0000:01:09.1: PME# disabled
[    0.218061] pci 0000:01:09.2: [1180:0592] type 0 class 0x000880
[    0.218075] pci 0000:01:09.2: reg 10: [mem 0xfc101000-0xfc1010ff]
[    0.218120] pci 0000:01:09.2: supports D1 D2
[    0.218123] pci 0000:01:09.2: PME# supported from D0 D1 D2 D3hot D3cold
[    0.218127] pci 0000:01:09.2: PME# disabled
[    0.218144] pci 0000:01:09.3: [1180:0852] type 0 class 0x000880
[    0.218157] pci 0000:01:09.3: reg 10: [mem 0xfc101400-0xfc1014ff]
[    0.218202] pci 0000:01:09.3: supports D1 D2
[    0.218205] pci 0000:01:09.3: PME# supported from D0 D1 D2 D3hot D3cold
[    0.218209] pci 0000:01:09.3: PME# disabled
[    0.218239] pci 0000:00:08.0: PCI bridge to [bus 01-02] (subtractive 
decode)
[    0.218243] pci 0000:00:08.0:   bridge window [io  0xf000-0x0000] 
(disabled)
[    0.218247] pci 0000:00:08.0:   bridge window [mem 0xfc100000-0xfc1fffff]
[    0.218252] pci 0000:00:08.0:   bridge window [mem 
0xfff00000-0x000fffff pref] (disabled)
[    0.218255] pci 0000:00:08.0:   bridge window [io  0x0000-0xffff] 
(subtractive decode)
[    0.218259] pci 0000:00:08.0:   bridge window [mem 
0x000a0000-0x000bffff] (subtractive decode)
[    0.218263] pci 0000:00:08.0:   bridge window [mem 
0xd0000000-0xffffffff] (subtractive decode)
[    0.218266] pci 0000:00:08.0:   bridge window [mem 
0x130000000-0xfcffffffff] (subtractive decode)
[    0.218290] pci 0000:00:0c.0: PCI bridge to [bus 06-07]
[    0.218294] pci 0000:00:0c.0:   bridge window [io  0x4000-0x4fff]
[    0.218298] pci 0000:00:0c.0:   bridge window [mem 0xf8000000-0xfbffffff]
[    0.218302] pci 0000:00:0c.0:   bridge window [mem 
0xfff00000-0x000fffff pref] (disabled)
[    0.218341] pci 0000:04:00.0: [14e4:4312] type 0 class 0x000280
[    0.218358] pci 0000:04:00.0: reg 10: [mem 0xfc000000-0xfc003fff 64bit]
[    0.218417] pci 0000:04:00.0: supports D1 D2
[    0.228025] pci 0000:00:0d.0: PCI bridge to [bus 04-05]
[    0.228030] pci 0000:00:0d.0:   bridge window [io  0xf000-0x0000] 
(disabled)
[    0.228033] pci 0000:00:0d.0:   bridge window [mem 0xfc000000-0xfc0fffff]
[    0.228038] pci 0000:00:0d.0:   bridge window [mem 
0xfff00000-0x000fffff pref] (disabled)
[    0.228048] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
[    0.228148] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P2P0._PRT]
[    0.228185] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.XVR1._PRT]
[    0.228219] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.XVR2._PRT]
[    0.228368]  pci0000:00: Requesting ACPI _OSC control (0x1d)
[    0.228586]  pci0000:00: ACPI _OSC control (0x19) granted
[    0.247864] ACPI: PCI Interrupt Link [LNK1] (IRQs 5 7 10 11 14 15) 
*0, disabled.
[    0.247982] ACPI: PCI Interrupt Link [LNK2] (IRQs 5 7 *10 11 14 15)
[    0.248108] ACPI: PCI Interrupt Link [LNK3] (IRQs 5 7 10 *11 14 15)
[    0.248223] ACPI: PCI Interrupt Link [LNK4] (IRQs 5 7 10 11 14 15) 
*0, disabled.
[    0.248339] ACPI: PCI Interrupt Link [LK1E] (IRQs 19 20 21 22 23) *0, 
disabled.
[    0.248455] ACPI: PCI Interrupt Link [LK2E] (IRQs 19 20 21 22 23) *0, 
disabled.
[    0.248571] ACPI: PCI Interrupt Link [LK3E] (IRQs 19 20 21 22 23) *0, 
disabled.
[    0.248687] ACPI: PCI Interrupt Link [LK4E] (IRQs 19 20 21 22 23) *10
[    0.248801] ACPI: PCI Interrupt Link [LSMB] (IRQs 18) *10
[    0.248915] ACPI: PCI Interrupt Link [LUS0] (IRQs 17) *11
[    0.249028] ACPI: PCI Interrupt Link [LUS2] (IRQs 17) *7
[    0.249148] ACPI: PCI Interrupt Link [LMAC] (IRQs 19 20 21 22 23) *11
[    0.249263] ACPI: PCI Interrupt Link [LAZA] (IRQs 19 20 21 22 23) *10
[    0.249378] ACPI: PCI Interrupt Link [LGPU] (IRQs 19 20 21 22 23) *10
[    0.249493] ACPI: PCI Interrupt Link [LPID] (IRQs 19 20 21 22 23) *0, 
disabled.
[    0.249610] ACPI: PCI Interrupt Link [LSI0] (IRQs 19 20 21 22 23) *5
[    0.249731] ACPI: PCI Interrupt Link [Z013] (IRQs 16) *10
[    0.249851] ACPI: PCI Interrupt Link [Z014] (IRQs 16) *11
[    0.249965] ACPI: PCI Interrupt Link [LPMU] (IRQs 18) *11
[    0.250116] vgaarb: device added: 
PCI:0000:00:12.0,decodes=io+mem,owns=io+mem,locks=none
[    0.250125] vgaarb: loaded
[    0.250179] PCI: Using ACPI for IRQ routing
[    0.250183] PCI: pci_cache_line_size set to 64 bytes
[    0.250266] reserve RAM buffer: 000000000009e000 - 000000000009ffff
[    0.250270] reserve RAM buffer: 00000000c7f50000 - 00000000c7ffffff
[    0.250412] HPET: 3 timers in total, 0 timers will be used for 
per-cpu timer
[    0.250420] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 31
[    0.250425] hpet0: 3 comparators, 32-bit 25.000000 MHz counter
[    0.264078] Switching to clocksource hpet
[    0.265874] pnp: PnP ACPI init
[    0.265896] ACPI: bus type pnp registered
[    0.266083] pnp 00:00: [mem 0xffc00000-0xffffffff]
[    0.266087] pnp 00:00: [mem 0xfec00000-0xfec00fff]
[    0.266090] pnp 00:00: [mem 0xfee00000-0xfeefffff]
[    0.266093] pnp 00:00: [mem 0xfec80000-0xfec80fff]
[    0.266096] pnp 00:00: [mem 0xfef00000-0xfef00fff]
[    0.266181] system 00:00: [mem 0xffc00000-0xffffffff] could not be 
reserved
[    0.266185] system 00:00: [mem 0xfec00000-0xfec00fff] could not be 
reserved
[    0.266189] system 00:00: [mem 0xfee00000-0xfeefffff] could not be 
reserved
[    0.266193] system 00:00: [mem 0xfec80000-0xfec80fff] has been reserved
[    0.266197] system 00:00: [mem 0xfef00000-0xfef00fff] has been reserved
[    0.266202] system 00:00: Plug and Play ACPI device, IDs PNP0c01 (active)
[    0.266274] pnp 00:01: [bus 00-ff]
[    0.266277] pnp 00:01: [io  0x0cf8-0x0cff]
[    0.266280] pnp 00:01: [io  0x0000-0x0cf7 window]
[    0.266284] pnp 00:01: [io  0x0d00-0xffff window]
[    0.266287] pnp 00:01: [mem 0x000a0000-0x000bffff window]
[    0.266291] pnp 00:01: [mem 0x000c0000-0x000c3fff window]
[    0.266294] pnp 00:01: [mem 0x000c4000-0x000c7fff window]
[    0.266298] pnp 00:01: [mem 0x000c8000-0x000cbfff window]
[    0.266301] pnp 00:01: [mem 0x000cc000-0x000cffff window]
[    0.266306] pnp 00:01: [mem 0x000d0000-0x000d3fff window]
[    0.266310] pnp 00:01: [mem 0x000d4000-0x000d7fff window]
[    0.266313] pnp 00:01: [mem 0x000d8000-0x000dbfff window]
[    0.266317] pnp 00:01: [mem 0x000dc000-0x000dffff window]
[    0.266320] pnp 00:01: [mem 0x000e0000-0x000e3fff window]
[    0.266323] pnp 00:01: [mem 0x000e4000-0x000e7fff window]
[    0.266327] pnp 00:01: [mem 0x000e8000-0x000ebfff window]
[    0.266330] pnp 00:01: [mem 0x000ec000-0x000effff window]
[    0.266334] pnp 00:01: [mem 0x000f0000-0x000fffff window]
[    0.266337] pnp 00:01: [mem 0xd0000000-0xfebfffff window]
[    0.266416] pnp 00:01: Plug and Play ACPI device, IDs PNP0a08 PNP0a03 
(active)
[    0.266588] pnp 00:02: [irq 0 disabled]
[    0.266604] pnp 00:02: [irq 8]
[    0.266607] pnp 00:02: [mem 0xfed00000-0xfed003ff]
[    0.266644] pnp 00:02: Plug and Play ACPI device, IDs PNP0103 (active)
[    0.266666] pnp 00:03: [mem 0xe0000000-0xefffffff]
[    0.266728] system 00:03: [mem 0xe0000000-0xefffffff] has been reserved
[    0.266732] system 00:03: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.267928] Switched to NOHz mode on CPU #1
[    0.267935] Switched to NOHz mode on CPU #0
[    0.269030] pnp 00:04: [io  0x0010-0x001f]
[    0.269034] pnp 00:04: [io  0x0022-0x003f]
[    0.269037] pnp 00:04: [io  0x0044-0x005f]
[    0.269039] pnp 00:04: [io  0x0063]
[    0.269044] pnp 00:04: [io  0x0065]
[    0.269047] pnp 00:04: [io  0x0067-0x006f]
[    0.269050] pnp 00:04: [io  0x0072-0x0073]
[    0.269053] pnp 00:04: [io  0x0074-0x007f]
[    0.269055] pnp 00:04: [io  0x0080]
[    0.269058] pnp 00:04: [io  0x0091-0x0093]
[    0.269061] pnp 00:04: [io  0x0097-0x009f]
[    0.269064] pnp 00:04: [io  0x00a2-0x00bf]
[    0.269067] pnp 00:04: [io  0x00e0-0x00ef]
[    0.269070] pnp 00:04: [io  0x0360-0x0361]
[    0.269073] pnp 00:04: [io  0x04d0-0x04d1]
[    0.269182] system 00:04: [io  0x0360-0x0361] has been reserved
[    0.269186] system 00:04: [io  0x04d0-0x04d1] has been reserved
[    0.269191] system 00:04: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.269210] pnp 00:05: [io  0x0000-0x0008]
[    0.269213] pnp 00:05: [io  0x000a-0x000f]
[    0.269216] pnp 00:05: [io  0x0081-0x0083]
[    0.269219] pnp 00:05: [io  0x0087]
[    0.269222] pnp 00:05: [io  0x0089-0x008b]
[    0.269224] pnp 00:05: [io  0x008f]
[    0.269227] pnp 00:05: [io  0x00c0-0x00d1]
[    0.269230] pnp 00:05: [io  0x00d4-0x00df]
[    0.269233] pnp 00:05: [dma 4]
[    0.269275] pnp 00:05: Plug and Play ACPI device, IDs PNP0200 (active)
[    0.269287] pnp 00:06: [io  0x0061]
[    0.269329] pnp 00:06: Plug and Play ACPI device, IDs PNP0800 (active)
[    0.269366] pnp 00:07: [io  0x0070-0x0071]
[    0.269407] pnp 00:07: Plug and Play ACPI device, IDs PNP0b00 (active)
[    0.269420] pnp 00:08: [io  0x00f0-0x00f1]
[    0.269435] pnp 00:08: [irq 13]
[    0.269477] pnp 00:08: Plug and Play ACPI device, IDs PNP0c04 (active)
[    0.269491] pnp 00:09: [io  0x0060]
[    0.269493] pnp 00:09: [io  0x0064]
[    0.269503] pnp 00:09: [irq 1]
[    0.269552] pnp 00:09: Plug and Play ACPI device, IDs PNP0303 (active)
[    0.269571] pnp 00:0a: [irq 12]
[    0.269623] pnp 00:0a: Plug and Play ACPI device, IDs AUI1501 SYN0300 
SYN0002 PNP0f13 (active)
[    0.269840] pnp 00:0b: [io  0x1000-0x107f]
[    0.269845] pnp 00:0b: [io  0x1080-0x10ff]
[    0.269848] pnp 00:0b: [io  0x1400-0x147f]
[    0.269851] pnp 00:0b: [io  0x1480-0x14ff]
[    0.269854] pnp 00:0b: [io  0x1800-0x187f]
[    0.269857] pnp 00:0b: [io  0x1880-0x18ff]
[    0.269928] system 00:0b: [io  0x1000-0x107f] has been reserved
[    0.269932] system 00:0b: [io  0x1080-0x10ff] has been reserved
[    0.269937] system 00:0b: [io  0x1400-0x147f] has been reserved
[    0.269941] system 00:0b: [io  0x1480-0x14ff] has been reserved
[    0.269944] system 00:0b: [io  0x1800-0x187f] has been reserved
[    0.269948] system 00:0b: [io  0x1880-0x18ff] has been reserved
[    0.269952] system 00:0b: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.270253] pnp: PnP ACPI: found 12 devices
[    0.270255] ACPI: ACPI bus type pnp unregistered
[    0.277113] pci 0000:00:12.0: BAR 6: assigned [mem 
0xf1000000-0xf101ffff pref]
[    0.277119] pci 0000:00:08.0: PCI bridge to [bus 01-02]
[    0.277122] pci 0000:00:08.0:   bridge window [io  disabled]
[    0.277126] pci 0000:00:08.0:   bridge window [mem 0xfc100000-0xfc1fffff]
[    0.277130] pci 0000:00:08.0:   bridge window [mem pref disabled]
[    0.277135] pci 0000:00:0c.0: PCI bridge to [bus 06-07]
[    0.277138] pci 0000:00:0c.0:   bridge window [io  0x4000-0x4fff]
[    0.277142] pci 0000:00:0c.0:   bridge window [mem 0xf8000000-0xfbffffff]
[    0.277145] pci 0000:00:0c.0:   bridge window [mem pref disabled]
[    0.277150] pci 0000:00:0d.0: PCI bridge to [bus 04-05]
[    0.277152] pci 0000:00:0d.0:   bridge window [io  disabled]
[    0.277156] pci 0000:00:0d.0:   bridge window [mem 0xfc000000-0xfc0fffff]
[    0.277159] pci 0000:00:0d.0:   bridge window [mem pref disabled]
[    0.277170] pci 0000:00:08.0: setting latency timer to 64
[    0.277175] pci 0000:00:0c.0: setting latency timer to 64
[    0.277180] pci 0000:00:0d.0: setting latency timer to 64
[    0.277184] pci_bus 0000:00: resource 4 [io  0x0000-0xffff]
[    0.277188] pci_bus 0000:00: resource 5 [mem 0x000a0000-0x000bffff]
[    0.277191] pci_bus 0000:00: resource 6 [mem 0xd0000000-0xffffffff]
[    0.277194] pci_bus 0000:00: resource 7 [mem 0x130000000-0xfcffffffff]
[    0.277198] pci_bus 0000:01: resource 1 [mem 0xfc100000-0xfc1fffff]
[    0.277201] pci_bus 0000:01: resource 4 [io  0x0000-0xffff]
[    0.277204] pci_bus 0000:01: resource 5 [mem 0x000a0000-0x000bffff]
[    0.277207] pci_bus 0000:01: resource 6 [mem 0xd0000000-0xffffffff]
[    0.277210] pci_bus 0000:01: resource 7 [mem 0x130000000-0xfcffffffff]
[    0.277214] pci_bus 0000:06: resource 0 [io  0x4000-0x4fff]
[    0.277217] pci_bus 0000:06: resource 1 [mem 0xf8000000-0xfbffffff]
[    0.277221] pci_bus 0000:04: resource 1 [mem 0xfc000000-0xfc0fffff]
[    0.277341] NET: Registered protocol family 2
[    0.277557] IP route cache hash table entries: 131072 (order: 8, 
1048576 bytes)
[    0.279446] TCP established hash table entries: 524288 (order: 11, 
8388608 bytes)
[    0.283824] TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
[    0.284403] TCP: Hash tables configured (established 524288 bind 65536)
[    0.284407] TCP reno registered
[    0.284424] UDP hash table entries: 2048 (order: 4, 65536 bytes)
[    0.284479] UDP-Lite hash table entries: 2048 (order: 4, 65536 bytes)
[    0.284687] NET: Registered protocol family 1
[    0.396103] pci 0000:00:00.0: Found enabled HT MSI Mapping
[    0.396157] pci 0000:00:00.0: Found enabled HT MSI Mapping
[    0.396215] pci 0000:00:00.0: Found enabled HT MSI Mapping
[    0.396279] pci 0000:00:00.0: Found enabled HT MSI Mapping
[    0.396347] pci 0000:00:00.0: Found enabled HT MSI Mapping
[    0.396420] pci 0000:00:00.0: Found enabled HT MSI Mapping
[    0.396428] pci 0000:00:12.0: Boot video device
[    0.396453] PCI: CLS 64 bytes, default 64
[    0.396506] Unpacking initramfs...
[    0.707882] Freeing initrd memory: 9912k freed
[    0.715357] PCI-DMA: Disabling AGP.
[    0.715454] PCI-DMA: aperture base @ a0000000 size 65536 KB
[    0.715456] PCI-DMA: using GART IOMMU.
[    0.715461] PCI-DMA: Reserving 64MB of IOMMU area in the AGP aperture
[    0.719971] Simple Boot Flag at 0x36 set to 0x1
[    0.720520] audit: initializing netlink socket (disabled)
[    0.720536] type=2000 audit(1312921079.716:1): initialized
[    0.734928] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    0.735830] VFS: Disk quotas dquot_6.5.2
[    0.735878] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.735974] msgmni has been set to 7676
[    0.736250] alg: No test for stdrng (krng)
[    0.736302] Block layer SCSI generic (bsg) driver version 0.4 loaded 
(major 253)
[    0.736307] io scheduler noop registered
[    0.736309] io scheduler deadline registered
[    0.736347] io scheduler cfq registered (default)
[    0.736519] pcieport 0000:00:0c.0: setting latency timer to 64
[    0.736549] pcieport 0000:00:0c.0: irq 40 for MSI/MSI-X
[    0.736649] pcieport 0000:00:0d.0: setting latency timer to 64
[    0.736672] pcieport 0000:00:0d.0: irq 41 for MSI/MSI-X
[    0.736877] ERST: Table is not found!
[    0.736965] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    0.792376] Linux agpgart interface v0.103
[    0.792541] i8042: PNP: PS/2 Controller [PNP0303:KBD0,PNP0f13:PS2M] 
at 0x60,0x64 irq 1,12
[    0.810155] i8042: Detected active multiplexing controller, rev 1.1
[    0.822214] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.822221] serio: i8042 AUX0 port at 0x60,0x64 irq 12
[    0.822257] serio: i8042 AUX1 port at 0x60,0x64 irq 12
[    0.822285] serio: i8042 AUX2 port at 0x60,0x64 irq 12
[    0.822315] serio: i8042 AUX3 port at 0x60,0x64 irq 12
[    0.822450] mousedev: PS/2 mouse device common for all mice
[    0.823080] rtc_cmos 00:07: RTC can wake from S4
[    0.823254] rtc_cmos 00:07: rtc core: registered rtc_cmos as rtc0
[    0.823297] rtc0: alarms up to one year, y3k, 114 bytes nvram, hpet irqs
[    0.823312] cpuidle: using governor ladder
[    0.823315] cpuidle: using governor menu
[    0.823622] TCP cubic registered
[    0.823729] NET: Registered protocol family 10
[    0.824516] Mobile IPv6
[    0.824520] NET: Registered protocol family 17
[    0.824525] Registering the dns_resolver key type
[    0.824659] PM: Hibernation image not present or could not be loaded.
[    0.824675] registered taskstats version 1
[    0.825267] rtc_cmos 00:07: setting system clock to 2011-08-09 
20:18:00 UTC (1312921080)
[    0.825312] Initializing network drop monitor service
[    0.826815] Freeing unused kernel memory: 596k freed
[    0.827107] Write protecting the kernel read-only data: 6144k
[    0.831431] Freeing unused kernel memory: 764k freed
[    0.836185] Freeing unused kernel memory: 780k freed
[    0.846161] input: AT Translated Set 2 keyboard as 
/devices/platform/i8042/serio0/input/input0
[    0.853402] udevd[75]: starting version 172
[    0.960036] forcedeth: Reverse Engineered nForce ethernet driver. 
Version 0.64.
[    0.960283] ACPI: PCI Interrupt Link [LMAC] enabled at IRQ 23
[    0.960304] forcedeth 0000:00:0a.0: PCI INT A -> Link[LMAC] -> GSI 23 
(level, low) -> IRQ 23
[    0.960309] forcedeth 0000:00:0a.0: setting latency timer to 64
[    1.001088] ACPI: PCI Interrupt Link [LNK1] enabled at IRQ 11
[    1.001107] firewire_ohci 0000:01:09.0: PCI INT A -> Link[LNK1] -> 
GSI 11 (level, low) -> IRQ 11
[    1.005352] SCSI subsystem initialized
[    1.047663] sdhci: Secure Digital Host Controller Interface driver
[    1.047667] sdhci: Copyright(c) Pierre Ossman
[    1.056164] firewire_ohci: Added fw-ohci device 0000:01:09.0, OHCI 
v1.10, 4 IR + 4 IT contexts, quirks 0x1
[    1.059939] libata version 3.00 loaded.
[    1.061423] sdhci-pci 0000:01:09.1: SDHCI controller found 
[1180:0822] (rev 22)
[    1.061630] ACPI: PCI Interrupt Link [LNK2] enabled at IRQ 10
[    1.061646] sdhci-pci 0000:01:09.1: PCI INT B -> Link[LNK2] -> GSI 10 
(level, low) -> IRQ 10
[    1.062689] sdhci-pci 0000:01:09.1: Will use DMA mode even though HW 
doesn't fully claim to support it.
[    1.062712] mmc0: no vmmc regulator found
[    1.063750] Registered led device: mmc0::
[    1.074934] mmc0: SDHCI controller on PCI [0000:01:09.1] using DMA
[    1.076219] usbcore: registered new interface driver usbfs
[    1.076247] usbcore: registered new interface driver hub
[    1.083762] usbcore: registered new device driver usb
[    1.088322] ACPI: PCI Interrupt Link [LK4E] enabled at IRQ 22
[    1.088343] b43-pci-bridge 0000:04:00.0: PCI INT A -> Link[LK4E] -> 
GSI 22 (level, low) -> IRQ 22
[    1.088352] b43-pci-bridge 0000:04:00.0: setting latency timer to 64
[    1.090723] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    1.102709] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    1.108107] ssb: Core 0 found: ChipCommon (cc 0x800, rev 0x13, vendor 
0x4243)
[    1.108115] ssb: Core 1 found: IEEE 802.11 (cc 0x812, rev 0x0D, 
vendor 0x4243)
[    1.108122] ssb: Core 2 found: USB 1.1 Host (cc 0x817, rev 0x04, 
vendor 0x4243)
[    1.108129] ssb: Core 3 found: PCI-E (cc 0x820, rev 0x05, vendor 0x4243)
[    1.152109] ssb: Sonics Silicon Backplane found on PCI device 
0000:04:00.0
[    1.245240] thermal LNXTHERM:00: registered as thermal_zone0
[    1.245243] ACPI: Thermal Zone [TZS0] (73 C)
[    1.253311] thermal LNXTHERM:01: registered as thermal_zone1
[    1.253313] ACPI: Thermal Zone [TZS1] (76 C)
[    1.484882] forcedeth 0000:00:0a.0: ifname eth0, PHY OUI 0x5043 @ 1, 
addr 00:16:d3:ac:76:a8
[    1.484887] forcedeth 0000:00:0a.0: highdma pwrctl mgmt lnktim msi 
desc-v3
[    1.484970] ahci 0000:00:09.0: version 3.0
[    1.485329] ACPI: PCI Interrupt Link [LSI0] enabled at IRQ 21
[    1.485348] ahci 0000:00:09.0: PCI INT A -> Link[LSI0] -> GSI 21 
(level, low) -> IRQ 21
[    1.485388] ahci 0000:00:09.0: controller can do NCQ, turning on CAP_NCQ
[    1.485391] ahci 0000:00:09.0: controller can't do PMP, turning off 
CAP_PMP
[    1.485462] ahci 0000:00:09.0: AHCI 0001.0100 32 slots 4 ports 3 Gbps 
0xf impl IDE mode
[    1.485467] ahci 0000:00:09.0: flags: 64bit ncq sntf led clo pio
[    1.485471] ahci 0000:00:09.0: setting latency timer to 64
[    1.486520] scsi0 : ahci
[    1.486679] scsi1 : ahci
[    1.486768] scsi2 : ahci
[    1.486858] scsi3 : ahci
[    1.486999] ata1: SATA max UDMA/133 abar m8192@0xfc484000 port 
0xfc484100 irq 21
[    1.487003] ata2: SATA max UDMA/133 abar m8192@0xfc484000 port 
0xfc484180 irq 21
[    1.487007] ata3: SATA max UDMA/133 abar m8192@0xfc484000 port 
0xfc484200 irq 21
[    1.487010] ata4: SATA max UDMA/133 abar m8192@0xfc484000 port 
0xfc484280 irq 21
[    1.487351] ACPI: PCI Interrupt Link [LUS2] enabled at IRQ 17
[    1.487373] ehci_hcd 0000:00:02.1: PCI INT B -> Link[LUS2] -> GSI 17 
(level, low) -> IRQ 17
[    1.487401] ehci_hcd 0000:00:02.1: setting latency timer to 64
[    1.487405] ehci_hcd 0000:00:02.1: EHCI Host Controller
[    1.487442] ehci_hcd 0000:00:02.1: new USB bus registered, assigned 
bus number 1
[    1.500056] ehci_hcd 0000:00:02.1: debug port 1
[    1.500064] ehci_hcd 0000:00:02.1: cache line size of 64 is not supported
[    1.500088] ehci_hcd 0000:00:02.1: irq 17, io mem 0xfc489000
[    1.512031] ehci_hcd 0000:00:02.1: USB 2.0 started, EHCI 1.00
[    1.512057] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[    1.512060] usb usb1: New USB device strings: Mfr=3, Product=2, 
SerialNumber=1
[    1.512063] usb usb1: Product: EHCI Host Controller
[    1.512066] usb usb1: Manufacturer: Linux 2.6.39-3-amd64 ehci_hcd
[    1.512069] usb usb1: SerialNumber: 0000:00:02.1
[    1.512214] hub 1-0:1.0: USB hub found
[    1.512219] hub 1-0:1.0: 5 ports detected
[    1.512546] ACPI: PCI Interrupt Link [Z014] enabled at IRQ 16
[    1.512563] ehci_hcd 0000:00:04.1: PCI INT B -> Link[Z014] -> GSI 16 
(level, low) -> IRQ 16
[    1.512586] ehci_hcd 0000:00:04.1: setting latency timer to 64
[    1.512590] ehci_hcd 0000:00:04.1: EHCI Host Controller
[    1.512600] ehci_hcd 0000:00:04.1: new USB bus registered, assigned 
bus number 2
[    1.524070] ehci_hcd 0000:00:04.1: debug port 1
[    1.524080] ehci_hcd 0000:00:04.1: cache line size of 64 is not supported
[    1.524108] ehci_hcd 0000:00:04.1: irq 16, io mem 0xfc489400
[    1.536031] ehci_hcd 0000:00:04.1: USB 2.0 started, EHCI 1.00
[    1.536060] usb usb2: New USB device found, idVendor=1d6b, idProduct=0002
[    1.536064] usb usb2: New USB device strings: Mfr=3, Product=2, 
SerialNumber=1
[    1.536067] usb usb2: Product: EHCI Host Controller
[    1.536069] usb usb2: Manufacturer: Linux 2.6.39-3-amd64 ehci_hcd
[    1.536072] usb usb2: SerialNumber: 0000:00:04.1
[    1.536218] hub 2-0:1.0: USB hub found
[    1.536224] hub 2-0:1.0: 5 ports detected
[    1.536365] pata_amd 0000:00:06.0: version 0.4.1
[    1.536417] pata_amd 0000:00:06.0: setting latency timer to 64
[    1.536814] scsi4 : pata_amd
[    1.536903] scsi5 : pata_amd
[    1.537204] ata5: PATA max UDMA/133 cmd 0x1f0 ctl 0x3f6 bmdma 0x30c0 
irq 14
[    1.537207] ata6: PATA max UDMA/133 cmd 0x170 ctl 0x376 bmdma 0x30c8 
irq 15
[    1.537465] ACPI: PCI Interrupt Link [LUS0] enabled at IRQ 17
[    1.537472] ohci_hcd 0000:00:02.0: PCI INT A -> Link[LUS0] -> GSI 17 
(level, low) -> IRQ 17
[    1.537500] ohci_hcd 0000:00:02.0: setting latency timer to 64
[    1.537503] ohci_hcd 0000:00:02.0: OHCI Host Controller
[    1.537519] ohci_hcd 0000:00:02.0: new USB bus registered, assigned 
bus number 3
[    1.548047] ohci_hcd 0000:00:02.0: irq 17, io mem 0xfc486000
[    1.556117] firewire_core: created device fw0: GUID 07e40a007f945032, 
S400
[    1.606039] usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
[    1.606043] usb usb3: New USB device strings: Mfr=3, Product=2, 
SerialNumber=1
[    1.606046] usb usb3: Product: OHCI Host Controller
[    1.606049] usb usb3: Manufacturer: Linux 2.6.39-3-amd64 ohci_hcd
[    1.606052] usb usb3: SerialNumber: 0000:00:02.0
[    1.606194] hub 3-0:1.0: USB hub found
[    1.606200] hub 3-0:1.0: 5 ports detected
[    1.606539] ACPI: PCI Interrupt Link [Z013] enabled at IRQ 16
[    1.606545] ohci_hcd 0000:00:04.0: PCI INT A -> Link[Z013] -> GSI 16 
(level, low) -> IRQ 16
[    1.606571] ohci_hcd 0000:00:04.0: setting latency timer to 64
[    1.606574] ohci_hcd 0000:00:04.0: OHCI Host Controller
[    1.606586] ohci_hcd 0000:00:04.0: new USB bus registered, assigned 
bus number 4
[    1.606634] ohci_hcd 0000:00:04.0: irq 16, io mem 0xfc487000
[    1.662028] usb usb4: New USB device found, idVendor=1d6b, idProduct=0001
[    1.662032] usb usb4: New USB device strings: Mfr=3, Product=2, 
SerialNumber=1
[    1.662035] usb usb4: Product: OHCI Host Controller
[    1.662037] usb usb4: Manufacturer: Linux 2.6.39-3-amd64 ohci_hcd
[    1.662040] usb usb4: SerialNumber: 0000:00:04.0
[    1.662165] hub 4-0:1.0: USB hub found
[    1.662170] hub 4-0:1.0: 5 ports detected
[    1.700312] ata5.00: ATAPI: HL-DT-ST DVDRAM GSA-T20L, NC08, max MWDMA2
[    1.700323] ata5: nv_mode_filter: 0x39f&0x739f->0x39f, BIOS=0x0 
(0xc600) ACPI=0x39f (120:600:0x12)
[    1.716238] ata5.00: configured for MWDMA2
[    1.804033] ata2: SATA link down (SStatus 0 SControl 300)
[    1.804053] ata3: SATA link down (SStatus 0 SControl 300)
[    1.804071] ata4: SATA link down (SStatus 0 SControl 300)
[    1.804106] ata1: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[    1.804666] ata1.00: ATA-7: FUJITSU MHW2160BH PL, 891F, max UDMA/100
[    1.804670] ata1.00: 312581808 sectors, multi 16: LBA48
[    1.805349] ata1.00: configured for UDMA/100
[    1.805514] scsi 0:0:0:0: Direct-Access     ATA      FUJITSU MHW2160B 
891F PQ: 0 ANSI: 5
[    1.809204] scsi 4:0:0:0: CD-ROM            HL-DT-ST DVDRAM GSA-T20L  
NC08 PQ: 0 ANSI: 5
[    1.809410] ata6: port disabled. ignoring.
[    1.824046] usb 1-1: new high speed USB device number 2 using ehci_hcd
[    1.832136] sd 0:0:0:0: [sda] 312581808 512-byte logical blocks: (160 
GB/149 GiB)
[    1.832254] sd 0:0:0:0: [sda] Write Protect is off
[    1.832259] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    1.832302] sd 0:0:0:0: [sda] Write cache: enabled, read cache: 
enabled, doesn't support DPO or FUA
[    1.833191] sr0: scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw 
xa/form2 cdda tray
[    1.833196] cdrom: Uniform CD-ROM driver Revision: 3.20
[    1.833452] sr 4:0:0:0: Attached scsi CD-ROM sr0
[    1.888987]  sda: sda1 sda2 sda3 sda4 < sda5 >
[    1.889476] sd 0:0:0:0: [sda] Attached SCSI disk
[    1.897226] sd 0:0:0:0: Attached scsi generic sg0 type 0
[    1.897280] sr 4:0:0:0: Attached scsi generic sg1 type 5
[    2.028041] usb 1-1: device descriptor read/64, error -71
[    2.336031] usb 1-1: device descriptor read/64, error -71
[    2.517979] device-mapper: uevent: version 1.0.3
[    2.518075] device-mapper: ioctl: 4.20.0-ioctl (2011-02-02) 
initialised: dm-devel@redhat.com
[    2.552033] usb 1-1: new high speed USB device number 3 using ehci_hcd
[    2.560505] PM: Starting manual resume from disk
[    2.560510] PM: Hibernation image partition 8:5 present
[    2.560512] PM: Looking for hibernation image.
[    2.560737] PM: Image not found (code -22)
[    2.560739] PM: Hibernation image not present or could not be loaded.
[    2.593926] EXT3-fs: barriers not enabled
[    2.609032] kjournald starting.  Commit interval 5 seconds
[    2.609084] EXT3-fs (sda3): mounted filesystem with ordered data mode
[    2.772035] usb 1-1: device descriptor read/64, error -71
[    3.080040] usb 1-1: device descriptor read/64, error -71
[    3.296029] usb 1-1: new high speed USB device number 4 using ehci_hcd
[    3.760030] usb 1-1: device not accepting address 4, error -71
[    3.872039] usb 1-1: new high speed USB device number 5 using ehci_hcd
[    4.336032] usb 1-1: device not accepting address 5, error -71
[    4.336106] hub 1-0:1.0: unable to enumerate USB device on port 1
[    4.720044] usb 3-1: new full speed USB device number 2 using ohci_hcd
[    4.815502] udevd[337]: starting version 172
[    4.920052] usb 3-1: not running at top speed; connect to a high 
speed hub
[    4.932050] usb 3-1: New USB device found, idVendor=05e3, idProduct=0702
[    4.932054] usb 3-1: New USB device strings: Mfr=0, Product=1, 
SerialNumber=0
[    4.932057] usb 3-1: Product: USB TO IDE
[    5.112045] usb 3-2: new low speed USB device number 3 using ohci_hcd
[    5.327054] usb 3-2: New USB device found, idVendor=046d, idProduct=c05f
[    5.327059] usb 3-2: New USB device strings: Mfr=1, Product=2, 
SerialNumber=0
[    5.327063] usb 3-2: Product: USB Optical Mouse
[    5.327065] usb 3-2: Manufacturer: Logitech
[    6.435300] input: PC Speaker as /devices/platform/pcspkr/input/input1
[    6.459625] input: Lid Switch as 
/devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input2
[    6.461769] ACPI: Lid Switch [LID0]
[    6.461847] input: Sleep Button as 
/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input3
[    6.461852] ACPI: Sleep Button [SLPB]
[    6.461920] input: Power Button as 
/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input4
[    6.461924] ACPI: Power Button [PWRB]
[    6.462027] input: Power Button as 
/devices/LNXSYSTM:00/LNXPWRBN:00/input/input5
[    6.462031] ACPI: Power Button [PWRF]
[    6.465664] ACPI: acpi_idle registered with cpuidle
[    6.465705] ACPI: processor limited to max C-state 1
[    6.477389] acpi device:20: registered as cooling_device2
[    6.477500] input: Video Bus as 
/devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input6
[    6.477507] ACPI: Video Device [VGA] (multi-head: yes  rom: no  post: no)
[    6.480658] wmi: Mapper loaded
[    7.021994] MCE: In-kernel MCE decoding enabled.
[    7.091589] k8temp 0000:00:18.3: Temperature readouts might be wrong 
- check erratum #141
[    7.471120] i2c i2c-0: nForce2 SMBus adapter at 0x3040
[    7.471152] i2c i2c-1: nForce2 SMBus adapter at 0x3000
[    7.486095] r852 0000:01:09.3: PCI INT B -> Link[LNK2] -> GSI 10 
(level, low) -> IRQ 10
[    7.486184] r852: driver loaded successfully
[    7.508844] EDAC MC: Ver: 2.1.0 Jul 14 2011
[    7.579164] AMD64 EDAC driver v3.4.0
[    7.579382] EDAC amd64: DRAM ECC disabled.
[    7.579392] EDAC amd64: ECC disabled in the BIOS or no ECC 
capability, module will not load.
[    7.579394]  Either enable ECC checking or force module loading by 
setting 'ecc_enable_override'.
[    7.579396]  (Note that use of the override may cause unknown side 
effects.)
[    7.655146] input: HP WMI hotkeys as /devices/virtual/input/input7
[    8.005610] ACPI: AC Adapter [ADP1] (on-line)
[    8.098886] cfg80211: Calling CRDA to update world regulatory domain
[    8.193722] ACPI: Battery Slot [BAT0] (battery present)
[    8.313404] usbcore: registered new interface driver uas
[    8.334339] Initializing USB Mass Storage driver...
[    8.334441] usb-storage 3-1:1.0: Quirks match for vid 05e3 pid 0702: 420
[    8.334696] scsi6 : usb-storage 3-1:1.0
[    8.334813] usbcore: registered new interface driver usb-storage
[    8.334815] USB Mass Storage support registered.
[    8.427876] input: PS/2 Mouse as 
/devices/platform/i8042/serio2/input/input8
[    8.451535] input: AlpsPS/2 ALPS GlidePoint as 
/devices/platform/i8042/serio2/input/input9
[    8.793330] input: Logitech USB Optical Mouse as 
/devices/pci0000:00/0000:00:02.0/usb3/3-2/3-2:1.0/input/input10
[    8.793469] generic-usb 0003:046D:C05F.0001: input,hidraw0: USB HID 
v1.11 Mouse [Logitech USB Optical Mouse] on usb-0000:00:02.0-2/input0
[    8.793492] usbcore: registered new interface driver usbhid
[    8.793494] usbhid: USB HID core driver
[    8.818024] b43-phy0: Broadcom 4311 WLAN found (core revision 13)
[    8.968472] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[    8.969234] Registered led device: b43-phy0::tx
[    8.969263] Registered led device: b43-phy0::rx
[    8.969288] Registered led device: b43-phy0::radio
[    8.969309] Broadcom 43xx driver loaded [ Features: PMNLS, 
Firmware-ID: FW13 ]
[    9.221884] ACPI: PCI Interrupt Link [LAZA] enabled at IRQ 20
[    9.221908] HDA Intel 0000:00:07.0: PCI INT A -> Link[LAZA] -> GSI 20 
(level, low) -> IRQ 20
[    9.221913] hda_intel: Disable MSI for Nvidia chipset
[    9.221969] HDA Intel 0000:00:07.0: setting latency timer to 64
[    9.341077] scsi 6:0:0:0: Direct-Access     WDC WD80 0VE-00KWT0       
0811 PQ: 0 ANSI: 0
[    9.341822] sd 6:0:0:0: Attached scsi generic sg2 type 0
[    9.352072] sd 6:0:0:0: [sdb] 156301488 512-byte logical blocks: 
(80.0 GB/74.5 GiB)
[    9.369060] sd 6:0:0:0: [sdb] Test WP failed, assume Write Enabled
[    9.369064] sd 6:0:0:0: [sdb] Assuming drive cache: write through
[    9.397064] sd 6:0:0:0: [sdb] Test WP failed, assume Write Enabled
[    9.397067] sd 6:0:0:0: [sdb] Assuming drive cache: write through
[    9.800071]  sdb: sdb1 sdb2 < sdb5 >
[    9.839067] sd 6:0:0:0: [sdb] Test WP failed, assume Write Enabled
[    9.839072] sd 6:0:0:0: [sdb] Assuming drive cache: write through
[    9.839131] sd 6:0:0:0: [sdb] Attached SCSI disk
[    9.839423] input: HDA Digital PCBeep as 
/devices/pci0000:00/0000:00:07.0/input/input11
[   12.936647] kvm: Nested Virtualization enabled
[   13.447524] Adding 2850812k swap on /dev/sda5.  Priority:-1 extents:1 
across:2850812k
[   13.794497] EXT3-fs (sda3): using internal journal
[   14.115278] loop: module loaded
[   15.639705] Bridge firewalling registered
[   15.644285] device eth0 entered promiscuous mode
[   15.647402] forcedeth 0000:00:0a.0: irq 42 for MSI/MSI-X
[   15.653247] br0: port 1(eth0) entering forwarding state
[   15.653253] br0: port 1(eth0) entering forwarding state
[   21.781230] RPC: Registered udp transport module.
[   21.781234] RPC: Registered tcp transport module.
[   21.781236] RPC: Registered tcp NFSv4.1 backchannel transport module.
[   21.994128] FS-Cache: Loaded
[   22.094605] FS-Cache: Netfs 'nfs' registered for caching
[   22.156278] Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
[   25.888023] br0: no IPv6 routers present
[   30.455276] [drm] Initialized drm 1.1.0 20060810
[   36.783284] atkbd serio0: Unknown key pressed (translated set 2, code 
0xd9 on isa0060/serio0).
[   36.783290] atkbd serio0: Use 'setkeycodes e059 <keycode>' to make it 
known.
[   36.789363] atkbd serio0: Unknown key released (translated set 2, 
code 0xd9 on isa0060/serio0).
[   36.789368] atkbd serio0: Use 'setkeycodes e059 <keycode>' to make it 
known.
[   37.171878] sshd (1834): /proc/1834/oom_adj is deprecated, please use 
/proc/1834/oom_score_adj instead.
[   41.040940] Ebtables v2.0 registered
[   41.238205] ip_tables: (C) 2000-2006 Netfilter Core Team
[   41.298726] ip6_tables: (C) 2000-2006 Netfilter Core Team
[  114.060091] EXT3-fs: barriers not enabled
[  114.088134] kjournald starting.  Commit interval 5 seconds
[  114.088184] EXT3-fs (sdb1): warning: maximal mount count reached, 
running e2fsck is recommended
[  114.096065] EXT3-fs (sdb1): using internal journal
[  114.096071] EXT3-fs (sdb1): mounted filesystem with ordered data mode
[  118.164015] CE: hpet increased min_delta_ns to 11520 nsec










On 08/05/2011 11:36 PM, Jonathan Nieder wrote:
> severity 635573 important
> tags 635573 + upstream
> forwarded 635573 https://bugzilla.kernel.org/show_bug.cgi?id=22052
> merge 620848 635573
> tags 620848 + fixed-upstream
> quit
>
> Hi,
>
> Hor Jiun Shyong wrote:
>
>> [Subject: lspci output]
> Please keep in mind that this appears as the subject line when these
> mails are received by email, so it can be a good place to put valuable
> context.
>
> [...]
>> 00:02.0 USB Controller: nVidia Corporation MCP67 OHCI USB 1.1 Controller
> Yep, this looks like Bug#620848.  Could you test the package from
>
>   http://people.debian.org/~benh/packages/linux-image-2.6.39-3-amd64_2.6.39-4~a.test1_amd64.deb
>
> , the latest upstream snapshot version from kernel.org, or the
> following patch?  Instructions for testing a snapshot or a patch are
> at<http://kernel-handbook.alioth.debian.org/>.
>
> Thanks,
> Jonathan
>
> commit 6ea12a04
> Author: Alan Stern<stern@rowland.harvard.edu>
> Date:   Fri Jul 15 17:22:15 2011 -0400
>
>      USB: OHCI: fix another regression for NVIDIA controllers
>
>      The NVIDIA series of OHCI controllers continues to be troublesome.  A
>      few people using the MCP67 chipset have reported that even with the
>      most recent kernels, the OHCI controller fails to handle new
>      connections and spams the system log with "unable to enumerate USB
>      port" messages.  This is different from the other problems previously
>      reported for NVIDIA OHCI controllers, although it is probably related.
>
>      It turns out that the MCP67 controller does not like to be kept in the
>      RESET state very long.  After only a few seconds, it decides not to
>      work any more.  This patch (as1479) changes the PCI initialization
>      quirk code so that NVIDIA controllers are switched into the SUSPEND
>      state after 50 ms of RESET.  With no interrupts enabled and all the
>      downstream devices reset, and thus unable to send wakeup requests,
>      this should be perfectly safe (even for non-NVIDIA hardware).
>
>      The removal code in ohci-hcd hasn't been changed; it will still leave
>      the controller in the RESET state.  As a result, if someone unloads
>      ohci-hcd and then reloads it, the controller won't work again until
>      the system is rebooted.  If anybody complains about this, the removal
>      code can be updated similarly.
>
>      This fixes Bugzilla #22052.
>
>      Tested-by: Larry Finger<Larry.Finger@lwfinger.net>
>      Cc: stable<stable@kernel.org>
>      Signed-off-by: Alan Stern<stern@rowland.harvard.edu>
>      Signed-off-by: Greg Kroah-Hartman<gregkh@suse.de>
>
> diff --git a/drivers/usb/host/pci-quirks.c b/drivers/usb/host/pci-quirks.c
> index b5a7304f..a9d31590 100644
> --- a/drivers/usb/host/pci-quirks.c
> +++ b/drivers/usb/host/pci-quirks.c
> @@ -35,6 +35,8 @@
>   #define OHCI_INTRSTATUS		0x0c
>   #define OHCI_INTRENABLE		0x10
>   #define OHCI_INTRDISABLE	0x14
> +#define OHCI_FMINTERVAL		0x34
> +#define OHCI_HCR		(1<<  0)	/* host controller reset */
>   #define OHCI_OCR		(1<<  3)	/* ownership change request */
>   #define OHCI_CTRL_RWC		(1<<  9)	/* remote wakeup connected */
>   #define OHCI_CTRL_IR		(1<<  8)	/* interrupt routing */
> @@ -497,6 +499,32 @@ static void __devinit quirk_usb_handoff_ohci(struct pci_dev *pdev)
>
>   	/* reset controller, preserving RWC (and possibly IR) */
>   	writel(control&  OHCI_CTRL_MASK, base + OHCI_CONTROL);
> +	readl(base + OHCI_CONTROL);
> +
> +	/* Some NVIDIA controllers stop working if kept in RESET for too long */
> +	if (pdev->vendor == PCI_VENDOR_ID_NVIDIA) {
> +		u32 fminterval;
> +		int cnt;
> +
> +		/* drive reset for at least 50 ms (7.1.7.5) */
> +		msleep(50);
> +
> +		/* software reset of the controller, preserving HcFmInterval */
> +		fminterval = readl(base + OHCI_FMINTERVAL);
> +		writel(OHCI_HCR, base + OHCI_CMDSTATUS);
> +
> +		/* reset requires max 10 us delay */
> +		for (cnt = 30; cnt>  0; --cnt) {	/* ... allow extra time */
> +			if ((readl(base + OHCI_CMDSTATUS)&  OHCI_HCR) == 0)
> +				break;
> +			udelay(1);
> +		}
> +		writel(fminterval, base + OHCI_FMINTERVAL);
> +
> +		/* Now we're in the SUSPEND state with all devices reset
> +		 * and wakeups and interrupts disabled
> +		 */
> +	}
>
>   	/*
>   	 * disable interrupts





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635573; Package linux-2.6. (Tue, 09 Aug 2011 15:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Aug 2011 15:36:04 GMT) Full text and rfc822 format available.

Message #46 received at 635573@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Hor Jiun Shyong <jiunshyong@gmail.com>
Cc: 635573@bugs.debian.org
Subject: Re: Endless message of "Unable to enumerate usb device on port 5"
Date: Tue, 9 Aug 2011 17:32:58 +0200
tags 635573 + pending
quit

Hor Jiun Shyong wrote:

> After installing your
> linux-image-2.6.39-3-amd64_2.6.39-4~a.test1_amd64.deb, the message "Unable
> to enumerate usb device on port 5"  does not appear anymore and console is
> not spammed with the message.

Thanks for checking.

> Thanks for your help.  Will this fix be pushed to the latest debian kernel?

Yep, it's part of v3.1-rc1 and v3.0.1.




Added tag(s) pending. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 09 Aug 2011 15:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635573; Package linux-2.6. (Wed, 10 Aug 2011 08:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to 雪山飞狐Flying Fox of the Snowy Mountain <jiunshyong@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 10 Aug 2011 08:27:06 GMT) Full text and rfc822 format available.

Message #53 received at 635573@bugs.debian.org (full text, mbox):

From: 雪山飞狐Flying Fox of the Snowy Mountain <jiunshyong@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 635573@bugs.debian.org
Subject: Re: Endless message of "Unable to enumerate usb device on port 5"
Date: Wed, 10 Aug 2011 16:23:21 +0800
Ok thanks again Jonathan.



2011/8/9, Jonathan Nieder <jrnieder@gmail.com>:
> tags 635573 + pending
> quit
>
> Hor Jiun Shyong wrote:
>
>> After installing your
>> linux-image-2.6.39-3-amd64_2.6.39-4~a.test1_amd64.deb, the message "Unable
>> to enumerate usb device on port 5"  does not appear anymore and console is
>> not spammed with the message.
>
> Thanks for checking.
>
>> Thanks for your help.  Will this fix be pushed to the latest debian
>> kernel?
>
> Yep, it's part of v3.1-rc1 and v3.0.1.
>




Added tag(s) pending. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 27 Aug 2011 04:21:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Oct 2011 07:36:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:23:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.